Documentation · API reference
GET/api/v1/groups

Your groups of sites

The workspace's groups, each with the sites the caller may open.

The answer

Status 200

A list of GroupView A workspace's own group of sites (doc/all-sites.md §3.3).

created_at
stringneededRFC 3339.
id
stringneeded
made_by
stringneeded
name
stringneeded
sites
list of stringneededIts sites by name, those the caller may open, in the order they were put in.

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/groups \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/groups", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());